Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 991277 - Consolidate UI components
Summary: Consolidate UI components
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Certification Program
Classification: Red Hat
Component: Certification Workflow Engine
Version: 1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: rhcert-cwe@redhat.com
QA Contact: Suprith Gangawar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-02 04:34 UTC by Luke Brooker
Modified: 2016-04-18 09:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-24 03:28:31 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Luke Brooker 2013-08-02 04:34:16 UTC
Description of problem:
Legacy CSS overcomplicates creating new features and new UI.

Solution:
- Document all components that are used and needed
- Create needed components using the new style package
- Add these components to the style guide
- Strip out nearly all legacy css
- Replace markup where necessary with new, cleaner markup

This will allow new features to be prototyped and created more easily

Comment 1 Huan Zhang 2013-10-30 08:09:27 UTC
Moving this out of the 5.2 tracker.

Comment 2 Feng Wang 2015-11-24 03:28:31 UTC
This is an old bug, close it as done.


Note You need to log in before you can comment on or make changes to this bug.